.order {
    position: relative;
    padding-top: rem(20);
    padding-bottom: rem(20);

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        position: absolute;
        background: rgba(0,0,0,0.6);
    }

    &__bg {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }

    &__main {
        z-index: 10;
        position: relative;
    }

    &__header {
        text-align: center;
        font-weight: 700;
        font-size: rem(30);
        line-height: rem(36);
        margin-bottom: rem(32);
    }

    &__body {
       max-width: rem(600);
        margin: 0 auto;
    }

    &__form {
        display: grid;
        grid-row-gap: rem(20);
        grid-column-gap: rem(20);
        grid-template-columns: 1fr;
    }

    &__content {
        font-size: rem(18);
        line-height: rem(26);
        text-align: center;
        margin-top: rem(30);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(60);
        padding-bottom: rem(60);

        &__header {
            font-size: rem(44);
            line-height: rem(44);
            margin-bottom: rem(74);
        }
    }

    @include media-breakpoint-up(lg) {
        height: rem(600);
        padding-top: rem(80);
        padding-bottom: rem(80);
        display: flex;
        flex-direction: column;
        justify-content: center;

        &__body {
            max-width: inherit;
            margin: 0 auto;
        }

        &__form {
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }

        &__button {
            grid-column: span 4;
            text-align: center;

            .btn {
                max-width: 25%;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(48);
            line-height: rem(60);
            margin-bottom: rem(74);
        }

        &__form {
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        }

        &__button {
            grid-column: span 1;

            .btn {
                max-width: 100%;
            }
        }
    }
}
